LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-21-2014, 07:17 PM   #1
troldahl
LQ Newbie
 
Registered: Sep 2014
Posts: 2

Rep: Reputation: Disabled
I am having trouble installing PyQt on Fedora 20 (it is needed for GNS3)


Okay, newbie question time.
Background:
- I have a Linux+ certification but no real Linux experience.
- I am studying for a CCNA Security certification, and I need to use a simulator for Cisco Configuration Professional.
- GNS3 was recommended.
- My Windows 7 machine won't allow a loopback adapter to communicate with GNS3.
- I have an 8 year old PC with an 80Gb hard drive and 2Gb RAM.
- I installed Fedora 19, wget, FedUp, then Fedora 20
- I tried following the directions at http://networkingtips-tricks.blogspo...l-gns3-on.html and the Qt install did not go well.

- If anyone has a link to instructions that work better, no need to look at the details below, but failing that...

- I did a "yum install qt-devel qt-doc qt-creator"

Installed:
qt-creator.x86_64 0:3.2.0-1.fc20 qt-devel.x86_64 1:4.8.6-10.fc20 qt-doc.noarch 1:4.8.6-10.fc20

- When I try to install the PyQt I get:

[root@localhost PyQt-x11-gpl-4.5.2]# python configure.py
Determining the layout of your Qt installation...
Error: Make sure you have a working Qt v4 qmake on your PATH or use the -q argument to explicitly specify a working Qt v4 qmake.

[root@localhost PyQt-x11-gpl-4.5.2]# echo $PATH
/usr/local/Trolltech/Qt-4.5.1/bin:/usr/local/sbin:/usr/sbin:/usr/local/bin:/usr/bin:/bin:/root/bin

Any help would be appreciated.

Thanks,
Eric


Forgive if this is a duplicate - My browser did not acknowledge submission the 1st time.
 
Old 09-22-2014, 11:44 AM   #2
norobro
Member
 
Registered: Feb 2006
Distribution: Debian Sid
Posts: 597

Rep: Reputation: 231Reputation: 231Reputation: 231
Please post the output of:
Code:
python configure.py -h | grep qmake
and
Code:
which qmake
The results on my Debian system:
Code:
$ python configure.py -h |grep qmake
    -q FILE, --qmake=FILE
                        the pathname of qmake [default:
                        /usr/local/Trolltech/Qt-4.8.0/qmake]
$ which qmake
/usr/local/Trolltech/Qt-4.8.0/qmake
 
Old 09-22-2014, 01:22 PM   #3
RockDoctor
Senior Member
 
Registered: Nov 2003
Location: Minnesota, US
Distribution: Fedora, Linux Mint, Ubuntu
Posts: 1,541

Rep: Reputation: 338Reputation: 338Reputation: 338Reputation: 338
This is from F21, but the location should be the same
Code:
~$ yum provides qmake-qt4
Loaded plugins: langpacks
1:qt-devel-4.8.6-12.fc21.i686 : Development files for the Qt toolkit
Repo        : fedora
Matched from:
Filename    : /usr/bin/qmake-qt4



1:qt-devel-4.8.6-12.fc21.x86_64 : Development files for the Qt toolkit
Repo        : fedora
Matched from:
Filename    : /usr/bin/qmake-qt4
 
Old 09-22-2014, 02:05 PM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016 CentOS6.9 CentOS7.3 + 50+ other Linux OS, for test only.
Posts: 16,546

Rep: Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241Reputation: 3241
Quote:
I am having trouble installing PyQt on Fedora 20 (it is needed for GNS3)
E.g. GNS-0.8.7-src.tar.gz → → "gns3-legacy-GNS3-0.8.7/" requires PyQt4 :

# yum install PyQt4

... and GNS3 will open a nice GUI.

-

Last edited by knudfl; 09-22-2014 at 02:07 PM.
 
Old 10-05-2014, 04:01 PM   #5
troldahl
LQ Newbie
 
Registered: Sep 2014
Posts: 2

Original Poster
Rep: Reputation: Disabled
Oops...

System suffered a corrupted hard drive, so I am currently unable to answer. I will try again with a different hard drive. I'll let you know if I have the same problem.

Eric
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] gns3 message: Can't import Qt modules, PyQt is probably not installed saavedra29 Slackware 3 03-14-2012 10:40 AM
[SOLVED] Having Problem in instaling GNS3 on Fedora 14 mnabeel Linux - Newbie 5 12-13-2010 12:40 AM
Installing GNS3 on CentOS hazdingo Linux - Networking 10 10-02-2010 04:59 AM
Problem installing PyQT and Xemacs Manuel Tejada Red Hat 0 09-09-2003 09:13 PM
trouble installing drgenius...libdb3.so.3 is needed sfingerh Linux - Software 0 10-23-2002 10:56 PM


All times are GMT -5. The time now is 08:56 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration